Delete Collection
Deletes a vector store collection record. This will also remove all items in the collection.
Path parameters
-
id string required
The ID of the vector store collection.
Responses
OK
Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope.
application/json · error-payload
The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>.
application/json · error-payload
curl -X DELETE https://api.vultrinference.com/v1/vector_store/{id} \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"import os
import requests
response = requests.delete(
"https://api.vultrinference.com/v1/vector_store/{id}",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
)
print(response.status_code)const response = await fetch("https://api.vultrinference.com/v1/vector_store/{id}", {
method: "DELETE",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
},
});
console.log(response.status);